aboutsummaryrefslogtreecommitdiff
path: root/libs_docs/webkit
diff options
context:
space:
mode:
Diffstat (limited to 'libs_docs/webkit')
-rwxr-xr-xlibs_docs/webkit/webkit.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/libs_docs/webkit/webkit.SlackBuild b/libs_docs/webkit/webkit.SlackBuild
new file mode 100755
index 0000000..f4cb2df
--- /dev/null
+++ b/libs_docs/webkit/webkit.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=webkit
+VERSION=1.2.3
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://webkitgtk.org
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --build=${ARCH}-slackware-linux \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-debug=no \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --datadir=/usr/share/application-data \
+ --with-html-dir=/usr/share/html \
+ --with-font-backend=pango \
+ --with-unicode-backend=glib
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+webkit: webkit (web browser engine)
+webkit:
+webkit: A web browser engine.
+webkit:
+webkit: http://webkitgtk.org
+webkit:
+webkit:
+webkit:
+webkit:
+webkit:
+webkit:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+gtk+ >= 2.20.1-i486-1
+libsoup >= 2.31.2-i486-1
+libxslt >= 1.1.26-i486-1
+libxml2 >= 2.7.6-i486-1
+gstreamer >= 0.10.30-i486-1
+sqlite >= 3.6.23-i486-1
+EOF
+
+install -m 0644 -g 0 -o 0 ChangeLog \
+ $PKG/usr/doc/$NAME-$VERSION
+
+xz -9f \
+ $PKG/usr/doc/$NAME-$VERSION/ChangeLog
+
+rm -f \
+ $PKG/usr/lib/*.la
+
+strip --strip-unneeded \
+ $PKG/usr/lib/*.so* || :
+
+strip $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.txz